Get API request log entry detail
GET
https://app.speybooks.com/api/v1/api-request-log/{id}Full detail of a single API request log entry including request headers, request body, and response body. Use for debugging specific failed requests or auditing API usage.
Returns 404 if the entry does not exist or belongs to another organisation.
Path parameters
id integer requiredRequest log entry ID.
Response
200 Full request log entry including request headers, request body, and response body.
Show response fields
apiKeyId integercreatedAt string date-timeid integeripAddress stringkeyName stringkeyPreview stringmethod stringpath stringrequestBody objectShow child attributes
contactId stringissueDate stringrequestHeaders objectShow child attributes
authorization stringcontent-type stringresponseBody objectShow child attributes
error objectShow child attributes
code stringmessage stringsuccess booleanresponseTimeMs integerstatusCode integeruserAgent stringError codes
404 Request log entry not found or does not belong to this organisation.